
CoCoALib - Feature #554

CoCoALib-Normaliz interface: cannot print a cone

14 May 2014 15:23 - John Abbott

Status: Closed Start date: 14 May 2014

Priority: Normal Due date:  

Assignee: Christof Soeger % Done: 100%

Category: New Function Estimated time: 3.00 hours

Target version: CoCoALib-0.99534 Seoul14 Spent time: 0.35 hour

Description

We should add a fn to print out a cone object.

All values should be printable (if only for debugging)

Related issues:

Related to CoCoALib - Feature #218: CoCoALib normaliz interface Closed 03 Aug 2012

History

#1 - 09 Jul 2014 17:54 - John Abbott

Maybe we can resolve this issue while I'm in Osnabrueck?

#2 - 10 Jul 2014 16:14 - Christof Soeger

Implemented some printing. A newly created cone now is printed like:

cone(EmbeddingDim = 3, NumGenerators = 5)

And when the following values are known they are also printed:

cone(EmbeddingDim = 3, rank = 3, pointed = true, NumGenerators = 5, NumSupportHyperplanes = 4)

#3 - 10 Jul 2014 16:15 - Christof Soeger

- Status changed from New to In Progress

- Assignee set to Christof Soeger

- % Done changed from 0 to 50

#4 - 28 Jul 2014 16:51 - John Abbott

@Christof: can we close this issue now?

#5 - 28 Jul 2014 17:45 - Christof Soeger

Yes.

#6 - 28 Jul 2014 21:43 - John Abbott

- Status changed from In Progress to Closed
- % Done changed from 50 to 100
